'use strict';

var MsgBox = angular.module('MsgBox', []);

MsgBox.factory('MsgBox', [
  () => {

    var msgBoxFactory = {};

    msgBoxFactory.Pergunta = (title, msg, usedFunctionSim, usedFunctionNao) => {
        swal({
            title: title,
            text: msg,
            type: 'question',
            showCancelButton: true,
            confirmButtonColor: '#263143',
            cancelButtonColor: '#F6A000',
            confirmButtonText: 'Sim',
            cancelButtonText: "Não"
            }).then((result) => {
            if (result.value)
                usedFunctionSim();
            else
                usedFunctionNao();
            });
    }

    msgBoxFactory.Sucesso = (title, msg, usedFunctionOk) => {
        swal(
            title,
            msg,
            'success'
            ).then((result) => {
            usedFunctionOk();
            });
    }

    msgBoxFactory.Atencao = (title, msg, usedFunctionOk) => {
        swal(
            title,
            msg,
            'warning'
            ).then((result) => {
            usedFunctionOk();
            });
    }

    msgBoxFactory.Erro = (title, msg, usedFunctionOk) => {
        swal(
            title,
            msg,
            'error'
            ).then((result) => {
            usedFunctionOk();
            });
    }

    return msgBoxFactory

  }]);
